\documentclass[twocolumn]{article}

\title{UAV-project}
\author{Tobias Nielsen}
\date\today

\begin{document}
\maketitle
\section{Progress of the project}
In the proposal for this project, it has been shown that a possible
path can be represented by the two primitives arcs and lines. But
building a set of arcs and lines is not a trivial matter. There
off course needs to be some kind of structure that can represent the
combination of these primitives and from there assembly these to a
collection of paths.

I have made several experiments with different kinds of
representations, and i have been forced to change implementation of
the paths since it was not always easy to make it easy to alter
different steps in the path without having to traverse the in tire
structure.

So from there these elements will again be assembled to a population
of paths that must be evolved in order to be use able for GP/GA to
evaluate and select the fittest of these.

Up til now i have spent a huge amount of time preparing such
primitives for the GP. This means that implementation of proper
methods for crossing and mutations can be performed.

Its intended that by the end of Easter, a first basic setup for
running a GA on the primitives will be ready - the next section will
be focused on enhancing this basic setup in to a more evolutionary
approach where the system is evaluated continuously.

\section{The path}
I have chosen to implement the different elements of the path as an
element that can be interpreted in its simple form of two vectors: One
that gives an offset, and one that gives a heading at the exit point
of the vectors.

These elements are easy to manipulate and are quite flexible when we
want to mutate and make a crossover with a different path.

The difficult part comes when the fitness of these elements has to be
evaluated as these elements must be translated in to either a straight
line or a spline line (not exactly a spline, more two circle arcs that
overlaps to give a proper continuity)

The resulting path will each time be evaluated to see if it meets a
series of constraints (especially turn radius) and if it fails, the
specific path is trashed.

\section{Overall}
I have as said, implemented several different kinds of paths, each
time simplified the paths a great deal in order to let the GP become
easier to con troll - the first ones was quite math intensive and
therefore costly when one had to evolve a new generation. I think i
have an approach now that will work.

\end{document}
